import { jsx } from "react/jsx-runtime";
import { CellSignalXIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CellSignalX = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CellSignalX", ...props, children: /* @__PURE__ */ jsx(CellSignalXIcon, { weight: variant }) });
  }
);
CellSignalX.displayName = "CellSignalX";
Object.assign(CellSignalX, { isGdsIcon: true });
export {
  CellSignalX
};
